### Constructor

# Peas ObjectModule new_embedded

since: 1.18

#### Declaration [src]

    PeasObjectModule*
    peas_object_module_new_embedded (
      const char* module_name,
      const char* symbol
    )

#### Description [src]

Creates a new `PeasObjectModule` for an embedded plugin.

Available since: 1.18

This constructor is not directly available to language bindings.

#### Parameters

`module_name`

  Type: `const char*`

  The module name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`symbol`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PeasObjectModule`

A new `PeasObjectModule`.

The caller of the function takes ownership of the data, and is responsible for freeing it.